package com.zm.order.tool.server.dto;

import com.alibaba.fastjson.JSON;

import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * @author nianchang
 * @date 2021/04/06 3:43 下午
 */
public class OrderCommentDTO extends OperateOrderCommentDTO {

    /**
     * 主键
     */
    private Long id;

    /**
     * 业务类型
     * @see
     */
    private Integer bizType;

    /**
     * 联系方式
     */
    private String mobile;

    /**
     * 订单类型
     */
    private Integer orderType;

    /**
     * 评论类型
     */
    private Integer commentType;

    /**
     * 评论图片列表
     */
    private List<String> commentImageList;

    /**
     * 评论时间
     */
    private Date commentAt;

    /**
     * 评论详情列表
     */
    private List<OrderCommentDetailsDTO> commentDetailsList;

    /**
     * 推荐菜单
     */
    private List<RecommendItemDTO> recommendItemList;

    /**
     * 订单商品评论列表
     */
    private List<OrderItemCommentDTO> orderItemCommentList;

    /**
     * 订单来源
     */
    private Integer performanceType;

    /**
     * 订单来源
     */
    private Integer source;

    /**
     * 评分信息
     */
    private Map<String, Object> scoreInfoMap;

    public Map<String, Object> getScoreInfoMap() {
        return scoreInfoMap;
    }

    public void setScoreInfoMap(Map<String, Object> scoreInfoMap) {
        this.scoreInfoMap = scoreInfoMap;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Integer getBizType() {
        return bizType;
    }

    public void setBizType(Integer bizType) {
        this.bizType = bizType;
    }

    public String getMobile() {
        return mobile;
    }

    public void setMobile(String mobile) {
        this.mobile = mobile;
    }

    public Integer getOrderType() {
        return orderType;
    }

    public void setOrderType(Integer orderType) {
        this.orderType = orderType;
    }

    public Integer getCommentType() {
        return commentType;
    }

    public void setCommentType(Integer commentType) {
        this.commentType = commentType;
    }

    public List<String> getCommentImageList() {
        return commentImageList;
    }

    public void setCommentImageList(List<String> commentImageList) {
        this.commentImageList = commentImageList;
    }

    public Date getCommentAt() {
        return commentAt;
    }

    public void setCommentAt(Date commentAt) {
        this.commentAt = commentAt;
    }

    public List<OrderCommentDetailsDTO> getCommentDetailsList() {
        return commentDetailsList;
    }

    public void setCommentDetailsList(List<OrderCommentDetailsDTO> commentDetailsList) {
        this.commentDetailsList = commentDetailsList;
    }

    public List<RecommendItemDTO> getRecommendItemList() {
        return recommendItemList;
    }

    public void setRecommendItemList(List<RecommendItemDTO> recommendItemList) {
        this.recommendItemList = recommendItemList;
    }

    public List<OrderItemCommentDTO> getOrderItemCommentList() {
        return orderItemCommentList;
    }

    public void setOrderItemCommentList(List<OrderItemCommentDTO> orderItemCommentList) {
        this.orderItemCommentList = orderItemCommentList;
    }

    public Integer getPerformanceType() {
        return performanceType;
    }

    public void setPerformanceType(Integer performanceType) {
        this.performanceType = performanceType;
    }

    public Integer getSource() {
        return source;
    }

    public void setSource(Integer source) {
        this.source = source;
    }

    @Override
    public String toString() {
        return JSON.toJSONString(this);
    }
}
